.auth-button {
  display: flex;
  align-items: center;
  width: max-content;
  min-width: 100px;
  justify-content: space-between;
  cursor: pointer;
  background: rgb(110, 188, 194);
  color: #383750;
  padding: 10px;
  font-family: 'Roboto', sans-serif;

  position: relative;
  transition: all 100ms ease-out;

  &:hover {
    background: rgb(110, 198, 204);
    box-shadow: 0px 5px 5px -3px rgba(0, 0, 0, 0.2),
    0px 8px 10px 1px rgba(0, 0, 0, 0.14),
    0px 3px 14px 2px rgba(0, 0, 0, 0.12);
  }

  &.active {
    background: rgba(120, 208, 214, 0.8);
  }

  .drop-down {
    position: absolute;
    background: var(--background);

    padding: 15px 0px;
    width: 100%;
    left: 0;
    top: -60px;
    transition: top 200ms ease-out;
    z-index: -1;
    box-shadow: 0px 5px 5px -3px rgba(0, 0, 0, 0.2),
    0px 8px 10px 1px rgba(0, 0, 0, 0.14),
    0px 3px 14px 2px rgba(0, 0, 0, 0.12);

    &.shown {
      top: 73px;
    }

    ul.menu-items {
      list-style: none;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;

      hr {
        width: 75%;
        height: 1px;
        border: none;
        background: rgba(0, 0, 0, 0.20);
      }

      li.menu-item {
        flex: 1 1 25px;
        padding: 7px 14px;
        display: flex;
        justify-content: center;
        align-items: center;
        width: 80px;
        user-select: none;

        &.active {
          background: rgba(0, 0, 0, 0.22);
          cursor: default;
        }

        &:hover:not(.active) {
          cursor: pointer;
          background: rgba(0, 0, 0, 0.12);
        }
      }
    }
  }

  .auth-button-img {
    height: 35px;
    flex-basis: 40px;
    flex-grow: 0;
    flex-shrink: 1;

    img {
      width: 100%;
      object-fit: cover;
    }
  }

  .auth-button-text {
    margin-left: 15px;
    flex-basis: 30%;
  }
}